{
  "schema_version": "1.4.0",
  "id": "GHSA-x7qp-frp5-95fm",
  "modified": "2022-05-13T01:13:34Z",
  "published": "2022-05-13T01:13:34Z",
  "aliases": [
    "CVE-2012-4564"
  ],
  "details": "ppm2tiff does not check the return value of the TIFFScanlineSize function, which allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted PPM image that triggers an integer overflow, a zero-memory allocation, and a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-4564"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2012:1590"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2012-4564"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=871700"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/79750"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-01/msg00076.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1590.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/51133"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2575"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/11/02/3"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/11/02/7"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/86878"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/56372"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1631-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-11-11T13:00:00Z"
  }
}